import { defineOverridesPreferences } from '@vben/preferences';

/**
 * @description 项目配置文件
 * 只需要覆盖项目中的一部分配置，不需要的配置不用覆盖，会自动使用默认配置
 * !!! 更改配置后请清空缓存，否则可能不生效
 */
export const overridesPreferences = defineOverridesPreferences({
  // overrides
  app: {
    layout: 'header-sidebar-nav',
    name: import.meta.env.VITE_APP_TITLE,
    enableCheckUpdates: false,
    enablePreferences: false,
  },
  copyright: {
    companyName: '口哨智控',
    companySiteLink: 'https://www.cose.com',
    date: '2025',
    enable: false,
  },
  sidebar: {
    width: 180,
  },
  tabbar: {
    enable: false,
    showMaximize: false,
    showMore: false,
    wheelable: false,
  },
  widget: {
    fullscreen: false,
    globalSearch: false,
    languageToggle: false,
    notification: false,
    refresh: false,
    sidebarToggle: false,
  },
  theme: {
    builtinType: 'violet',
    colorPrimary: 'hsl(245 82% 67%)',
  },
});
