import type { RouteRecordRaw } from 'vue-router';

const routes: RouteRecordRaw[] = [
  {
    meta: {
      badgeType: 'dot',
      affixTab: true,
      icon: 'lucide:layout-dashboard',
      order: -1,
      keepAlive: true,
      title: '设备详细',
    },
    name: 'detail',
    path: '/detail',
    component: () => import('#/views/detail/index.vue'),
  },
  {
    meta: {
      icon: 'lucide:layout-dashboard',
      order: 100,
      keepAlive: true,
      title: '网络配置',
    },
    name: 'network',
    path: '/network',
    component: () => import('#/views/network/index.vue'),
  },
  {
    meta: {
      icon: 'lucide:layout-dashboard',
      order: 110,
      keepAlive: true,
      title: '数据模板',
    },
    name: 'template',
    path: '/template',
    component: () => import('#/views/template/index.vue'),
  },
  {
    meta: {
      icon: 'lucide:layout-dashboard',
      order: 120,
      keepAlive: true,
      title: '采集驱动',
    },
    name: 'driver',
    path: '/driver',
    component: () => import('#/views/driver/index.vue'),
  },
  {
    meta: {
      icon: 'lucide:layout-dashboard',
      order: 130,
      keepAlive: true,
      title: '实时数据',
    },
    name: 'realtime',
    path: '/realtime',
    component: () => import('#/views/realtime/index.vue'),
  },
  {
    meta: {
      icon: 'lucide:layout-dashboard',
      order: 140,
      keepAlive: true,
      title: '上报管理',
    },
    name: 'reporting',
    path: '/reporting',
    component: () => import('#/views/reporting/index.vue'),
  },
  {
    meta: {
      icon: 'lucide:layout-dashboard',
      order: 150,
      keepAlive: true,
      title: '逻辑编程',
    },
    name: 'logic',
    path: '/logic',
    component: () => import('#/views/logic/index.vue'),
  },
  {
    meta: {
      icon: 'lucide:layout-dashboard',
      order: 160,
      keepAlive: true,
      title: '历史数据',
    },
    name: 'history',
    path: '/history',
    component: () => import('#/views/history/index.vue'),
  },
];

export default routes;
